# Class OperationType

Object
CodeList<OperationType>
OperationType

All Implemented Interfaces:
  `Serializable, Comparable<OperationType>`

@UML(identifier="MI_OperationTypeCode", specification=ISO_19115_2) public final class OperationType extends CodeList<OperationType>
Code indicating whether the data contained in this packet is real (originates from live-fly or other non-simulated operational sources), simulated (originates from target simulator sources), or synthesized (a mix of real and simulated data).

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OperationType`
  `REAL`
  Originates from live-fly or other non-simulated operational source.
  `static final OperationType`
  `SIMULATED`
  Originates from target simulator sources.
  `static final OperationType`
  `SYNTHESIZED`
  Mix of real and simulated data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OperationType[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static OperationType`
  `valueOf(String code)`
  Returns the operation type that matches the given string, or returns a new one if none match it.
  `static OperationType[]`
  `values()`
  Returns the list of `OperationType`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### REAL

    @UML(identifier="real", obligation=CONDITIONAL, specification=ISO_19115_2) public static final OperationType REAL
    Originates from live-fly or other non-simulated operational source.

  - ### SIMULATED

    @UML(identifier="simulated", obligation=CONDITIONAL, specification=ISO_19115_2) public static final OperationType SIMULATED
    Originates from target simulator sources.

  - ### SYNTHESIZED

    @UML(identifier="synthesized", obligation=CONDITIONAL, specification=ISO_19115_2) public static final OperationType SYNTHESIZED
    Mix of real and simulated data.

- ## Method Details

  - ### values

    public static OperationType[] values()
    Returns the list of `OperationType`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public OperationType[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<OperationType>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static OperationType valueOf(String code)
    Returns the operation type that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.